Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 372391 - dev-ruby/rails-2.3.12 stable request
Summary: dev-ruby/rails-2.3.12 stable request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Ruby Team
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on: 371553
Blocks: 348510 CVE-2011-0446 CVE-2011-2197
  Show dependency tree
 
Reported: 2011-06-20 18:30 UTC by Hans de Graaff
Modified: 2011-07-24 17:42 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Hans de Graaff gentoo-dev 2011-06-20 18:30:57 UTC
I'd like to ask for stabilization of dev-ruby/rails-2.3.12 and its dependencies. Please note that this stabilization addresses to security bugs. I'm filing a separate bug to make it easier to focus discussion on this stabilization. For arches that are more or less up to date on their stable bugs the following list should be complete (but see bug 371553 for dev-ruby/tzinfo):

=app-admin/eselect-rails-0.16

=dev-ruby/i18n-0.4.2
=dev-ruby/rack-1.1.0
=dev-ruby/tmail-1.2.7.1-r2
=dev-ruby/activesupport-2.3.12
=dev-ruby/activeresource-2.3.12
=dev-ruby/actionpack-2.3.12
=dev-ruby/actionmailer-2.3.12
=dev-ruby/activerecord-2.3.12
=dev-ruby/rails-2.3.12

@ppc,ppc64: you are probably better off working through your ruby stable bugs in chronological order, since there are many dependencies that all have their own stable bugs. In addition you also require the following package (no separate bug) that itself requires bug 354481)

=dev-ruby/rdoc-3.5.1
Comment 1 Ian Delaney (RETIRED) gentoo-dev 2011-06-21 23:17:30 UTC
All emerge ok amd64
Comment 2 Markos Chandras (RETIRED) gentoo-dev 2011-07-07 07:06:27 UTC
The list seems incomplete

dev-ruby/tmail/tmail-1.2.7.1-r2.ebuild: amd64(hardened/linux/amd64) ['dev-ruby/racc[ruby_targets_ruby18]', 'dev-ruby/racc[ruby_targets_ree18]', 'dev-ruby/racc[ruby_targets_jruby]']

dev-ruby/activesupport/activesupport-2.3.12.ebuild: amd64(default/linux/amd64/10.0/server) ['>=dev-ruby/builder-2.1.2:0[ruby_targets_ree18]']
Comment 3 Hans de Graaff gentoo-dev 2011-07-07 09:36:43 UTC
Oops. Please add these packages to the list as well.

=dev-ruby/builder-2.1.2-r2
=dev-ruby/racc-1.4.6
Comment 4 Ian Delaney (RETIRED) gentoo-dev 2011-07-07 15:10:35 UTC
amd64:

all, plus extra 2, still emerge ok
Comment 5 Markos Chandras (RETIRED) gentoo-dev 2011-07-07 19:07:16 UTC
seems good on amd64. Thanks Ian
Comment 6 Markus Meier gentoo-dev 2011-07-13 21:03:15 UTC
x86 stable
Comment 7 Kacper Kowalik (Xarthisius) (RETIRED) gentoo-dev 2011-07-23 13:17:01 UTC
ppc/ppc64 stable
Comment 8 Raúl Porcel (RETIRED) gentoo-dev 2011-07-24 17:42:58 UTC
ia64/sparc stable, closing